local json = require("json")
local utils = require("utils")
local utils_device = require("utils_device")


local request_method = ngx.var.request_method

utils.check_login()
utils.check_permission("DeviceManage")

if ("GET" == request_method) then
    local res = {}
    res["List"] = utils.get_product_key_list()
    utils.error_exit(200, json.encode(res))
end

utils.error_exit(400, "Invalid request method")
