#!/bin/sh

LINK_EDGE_HOME=/linkedge
DPS_HOME=$LINK_EDGE_HOME/gateway/build/bin/dps
DPS_DATA=$LINK_EDGE_HOME/run/dps
DPS_SOCKET_PATH=/dev/socket
LD_SO_PRELOAD=/etc/ld.so.preload

##############################################################
# Append LD_PRELOAD to /etc/ld.so.preload
##############################################################
remove_dps_preload()
{
  echo "remove DPS preload..."

  rm $LD_SO_PRELOAD
  cp -f $LD_SO_PRELOAD.backup $LD_SO_PRELOAD
  echo "DPS preload removed."
}

remove_dps_preload
